<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("project" . "_id" => base64_decode("cHJvamVjdF9pZA=" . "="), "_5a318eaa74da0cc2a06bdb95289fe81" . "b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2UgcHJv" . "amVjdA=="), "_ec438e08973b3716c60e393f66" . "ef5e7b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2UgSUMgcHJv" . "amVjdA=="), "_565d7be99acb0b7627e" . "48da068eebbd6" => base64_decode("cmVxdWl" . "yZWQ="));





class HDReportWizardProject extends ReportWizardPage
{
    var $projects;
    
    
    
    
    
    function buildForm()
    {
        $values = array();
        $_4cfe17fc2516abcf039dd2848579d320 = new HDProjectsList();
        $_4cfe17fc2516abcf039dd2848579d320->setPermsChecking(HD_PERM_REPORTS);
        $_68680c984182bf7876b2bb0ab77ebe01 = $_4cfe17fc2516abcf039dd2848579d320->getList();
        foreach ($_68680c984182bf7876b2bb0ab77ebe01 as $project) {
            $values[$project->GetId()] = $project->GetName();
        }
        $this->projects = $values;
        $this->addElement(PAGE_ELEMENT_SELECT, $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["project_i" . "d"], $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_5a318eaa74da0cc2a06bdb952" . "89fe81b"], $values);
        $this->addRule($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["projec" . "t_id"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_ec438e08973b3716c60" . "e393f66ef5e7b"], $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_565d7be99acb0b7627e48da068" . "eebbd6"]);
        $this->_formBuilt = true;
    }
}